# Active buy orders. Sorted by price DESC, if a filter by name is specified

`GET /v1/buy-orders`

Prices are integers. `1000` = `1 USD`.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `api` | query | string | required | Your [WAXPEER API](https://waxpeer.com/profile/user) |
| `name` | query | string | required | Multiple queries of name, so you can pass it like this name=AK-47 \| Aquamarine Revenge (Factory New)&MP9 \| Hypnotic (Minimal Wear). Max 50 at once |
| `own` | query | enum | optional | Will return only own offer(s) for the item(s) if set to 1 |
| `skip` | query | number | optional | It will return maximum 100 orders, use skip to fetch more (Max skip: 2000 if own is NOT set to 1. Please use names bulks to get all orders) |
| `game` | query | enum | optional | From which game would you like to get offers from (default csgo) |

## Example (curl)

```bash
curl -X GET 'https://api.waxpeer.com/v1/buy-orders?api=%7B%7BAPI_KEY%7D%7D&name=AK-47+%7C+Redline+%28Field-Tested%29&own=0&skip=0&game=csgo'
```

## Example response

```json
{
  "success": false,
  "offers": [
    {
      "id": 1,
      "name": "MP9 | Hypnotic (Minimal Wear)",
      "price": 1,
      "amount": 5,
      "game": "csgo",
      "filled": 2,
      "by": "1247ffd5-f437-4a30-9953-10eda7df6e17"
    }
  ],
  "count": 0,
  "msg": "Search without name(s) when own set to false is not allowed"
}
```

## Responses

- `200` successful operation

## Notes for agents

- Auth is the query parameter `api`, not an Authorization header.
- See [/statuses.md](/statuses.md) for numeric trade status plus `escrow_status` / `release_date`.
- Prefer GET /v2/search-items-by-name over v1.
- Do not use GET /v1/ready-to-transfer-p2p; use the [trade websocket](/websocket.md).
